Thomas P.

[1.7.3-2 + Backports] Kopernicus & KittopiaTech

Recommended Posts

the kopernicus warning on the start page could actually stand to be in a bigger font.  I play on a 4K display and I've missed that many times because on 4K it's... quite small :)  but now I know to look for it, so I haven't destroyed a save due to this in quite a while ;)

Share this post


Link to post
Share on other sites
14 hours ago, Dragon01 said:

If KSP did forced updates, somebody would remove the Kopernicus version lock, sooner or later. Remember, the source is available, as per the forum rules, and disabling the checker from there is not exactly difficult. It's just a piece of code copypasted from the forum, completely separate from the actual plugin.

That said, I wouldn't worry. Steam is not the only way to buy KSP, and they have no real means to force the KSP Store users to update.

even in steam you can downgrade.

1.05

1.13

1.22

1.31

1.41-1.45

1.51

1.61

1.70

1.71

all versions available in steam. Just right click ksp in library, go to properties->betas-> select version from drop down menu.

Share this post


Link to post
Share on other sites
Posted (edited)

Sure, but nobody says it will be like this forever. Take2 could disable this feature if they really wanted to force updates on Steam.

Edited by Dragon01

Share this post


Link to post
Share on other sites
5 minutes ago, jbarry39 said:

Will there be a Kopernicus update sometime in our future for KSP 1.7.1?

I theres a 1.7.0 version that may can work in 1.7.1? But when i tried the Kopernicus 1.7.0-1 It says it's not compatible...

Share this post


Link to post
Share on other sites

It's being worked on. I guess the next update is a pretty big change in how kopernicus works to make it better or more efficient or something and it's sort of an overhaul. Just have to wait.

I deleted all my saves for 171 myself so I could start fresh on the whole experience. So it'll be a while before interstellar stuff even becomes relevant for me!

Share this post


Link to post
Share on other sites
1 hour ago, NotMyProblem said:

I theres a 1.7.0 version that may can work in 1.7.1? But when i tried the Kopernicus 1.7.0-1 It says it's not compatible...

No, there is not. And there is no ETA for a release. The last time someone pressured Thomas P, he said two weeks after 1.8 is released.

Share this post


Link to post
Share on other sites
1 hour ago, Tonka Crash said:

No, there is not. And there is no ETA for a release. The last time someone pressured Thomas P, he said two weeks after 1.8 is released.

good one ;) it'll come when it's done.

In the meantime current version recompile seems to be working in 1.7.1, not sure how stable nor if I can share recompiled dll's.

It loads with recompiled versions of RSS, RealHeat and DeadlyReentry + mass of other outdated(1.6.1) mods and all looks ok, didn't spend too much time flying though, trying to get 1.3.1 rss+ ro+rp0 install upgraded to 1.7.1 after another infernal robotics fatal fail on mars....

Share this post


Link to post
Share on other sites
3 hours ago, Dragon01 said:

Sure, but nobody says it will be like this forever. Take2 could disable this feature if they really wanted to force updates on Steam.

I kinda doubt this is going to happen, there is absolute no benefit to force a game update.
Anyway, steam still allows you to download any game version of any game:

https://steamcommunity.com/sharedfiles/filedetails/?id=1086279994

And you can still move KSP out of the steam directory so it doesn't update at all and/or create a backup of every game version

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, ZAJC3W said:

good one ;) it'll come when it's done.

In the meantime current version recompile seems to be working in 1.7.1, not sure how stable nor if I can share recompiled dll's.

It loads with recompiled versions of RSS, RealHeat and DeadlyReentry + mass of other outdated(1.6.1) mods and all looks ok, didn't spend too much time flying though, trying to get 1.3.1 rss+ ro+rp0 install upgraded to 1.7.1 after another infernal robotics fatal fail on mars....

The Kopernicus team has been running this mod for years and they're an experienced modding team. They version lock it for a reason and if all it needed was a quick recompile they'd do it themselves. If they're holding up release of a 1.7.1 version you can be assured that they're doing it for good reasons and not just because they don't want you to have it.

I'd strongly suggest you be patient and let the experts do their work.

If you insist on recompiling it for yourself it would be VERY bad form to redistribute it to ANYONE, even friends, because anyone who tries it will most likely complain to the actual modders about problems which only wastes their time and causes them frustration.

Edited by Tyko

Share this post


Link to post
Share on other sites
4 minutes ago, Tyko said:

The Kopernicus team has been running this mod for years and they're an experienced modding team. They version lock it for a reason and if all it needed was a quick recompile they'd do it themselves. If they're holding up release of a 1.7.1 version you can be assured that they're doing it on purpose and not just because they don't want you to have it.

I'd strongly suggest you be patient and let the experts do their work.

If you insist on recompiling it for yourself it would be VERY bad form to redistribute it to ANYONE, even friends, because anyone who tries it will most likely complain to the actual modders about problems which only wastes their time and causes them frustration.

I'm, inpatient one and liking kraken too ;).

Testing all new caveats of new KSP version takes valuable time away from ongoing development, so I totally understand lack of recompile, especially if new improved kopernicus will be save breaking.

Besides 1.7.1 was out last week? Hardly a hold up, even mod devs have lives ;)

Share this post


Link to post
Share on other sites

Release time!

What was released:

Kopernicus 1.7.1-1
Kopernicus 1.6.1-4
Kopernicus 1.5.1-6
Kopernicus 1.4.5-11
Kopernicus 1.3.1-20
KittopiaTech 1.7.1-1

 

Changelog:

* refactored a large part of the codebase to align more with the coding style
  preferences in my IDE. This also includes merging the three core Kopernicus
  .dlls into one .dll again (+ Kopernicus.Parser).
* Cache more properties of the generated scaled space mesh and preload them,
  to reduce the amount of calculations and disk IO that is done when loading
  planets
* Reduce the amount of IO that is done by the logger
* The `texture` and `normals` values from `ScaledVersion/Material` are no 
  longer loaded on demand. If you want on demand loading for scaled space 
  textures, you have to specify their paths inside of a 
  `ScaledVersion/OnDemand` node, using `texture` and `normals`, just like 
  before.
* Allow loading `fogColorRamp` through a gradient instead of a texture
* Abort loading planets if System.cfg was modified directly. There is no 
  reason to do that except if you want to make your mod unremovable without 
  breaking every other mod. Planet packs are supposed to use ModuleManager 
  (I am looking at you, KerbalGalaxy Remastered)
* Fix an error that prevented bodies with `invisible = True` from staying 
  invisible, unless they templated the sun.
* Take over the mesh generation / spawning for scatter meshes. Stock merges
  them into one big mesh which makes it impossible to detect their actual
  position, or give them sub-objects. Every scatter instance is now it's own
  dedicated object, which greatly simplyfies things.
* Added a `HeatEmitter` scatter component that turns the scatter objects into a 
  heat source.
* Removed `ScatterExperiment` and replaced it with `ModuleSurfaceObjectTrigger`.
  It's a part module that can be added to parts, and enable / disable
  KSPActions when the vessel is near a surface object with a certain name
  (surface objects are scatters and PQSCity). It also sends events to all
  other PartModules on the part, so plugin developers could handle scatter
  with custom logic
* Added a `useBetterDensity` option to the Scatter config. It tries to 
  randomize the density a bit, and avoid rounding it down to an int like stock 
  does. In stock, a scatter can either appear once (or more) per quad, or not 
  at all. The idea behind useBetterDensity is to allow them to spawn, but not 
  strictly on every quad.
* Added a `ignoreDensityGameSetting` option to the Scatter config. If 
  everything fails, this can be used to stop the density game setting from 
  influencing your scatter, so you only have to find one density config that 
  works. The scatter will be treated as if the game setting was set to 100%
* Allow scatter rotation control through the `rotation` option. By default it 
  is set to `rotation = 0 360` which means the scatter can rotate between 0 
  and 360 degrees. Set it to `rotation = 0 0` to fix the rotation
* Allow specifying multiple meshes and randomly selecting one through the 
  `Meshes` node in the scatter config. It can contain multiple entries (choose 
  the key as you like), that point to .obj files in GameData. Kopernicus will 
  load them all and assign one randomly to every scatter object that gets 
  spawned.
* Added a `spawnChance` option in the scatter config, that can be used to fine
  tune density even more. 
* The ScatterColliders component allows specifying a simplified collision mesh
  (.obj), through the `collider` option, as opposed to using the visual mesh for
  collisions
* Added a scatter module that forces the scatters to spawn at sea level (with a
  settable offset), this can be used to create floating objects.
* Readded the ability to set a custom mapMaxHeight for texture exports in 
  Kittopia

 

ATTENTION:

  • This release will break plugins that depend on Kopernicus
  • While the old files still work, it is recommended to regenerate your scaled space cache, to take advantage of the improved format and caching
  • You have to adjust your configs to get scaled space OD working again
  • Since this release reduces the amount of dlls that come with Kopernicus, you have to delete the Kopernicus folder from GameData before installing. Do  not overwrite the folder. CKAN users probably have to uninstall and reinstall Kopernicus.

DLC Surface Features:

There is no need for Kopernicus to support adding or removing the surface objects from the DLC because they have their own config files in SquadExpansion/Serenity. Even if they would have to be managed through Kopernicus, I wouldn't actually want to add that, because it would fragment players between two similar systems (terrain scatters and surface objects), where one is behind a paywall. Thats why this release tries to make more use of the terrain scatters than before, with similar features to the DLC. Of course Squads code will always be more polished than this, and I think the DLC is absolutely worth it's price, but I like having an alternative.

Share this post


Link to post
Share on other sites
2 minutes ago, Thomas P. said:

Release time!

Yeeeehaaaa, most beautiful combination of two words in this thread :D

Thank you, much appreciated :)

Share this post


Link to post
Share on other sites
Posted (edited)

Aaand, expect 1.7.1-2 soon because my build server messed up and didn't update the version numbers. Sorry.

EDIT: 1.7.1-2 is out. Have fun. Sorry again.

Edited by Thomas P.

Share this post


Link to post
Share on other sites
22 minutes ago, Thomas P. said:
  • Since this release reduces the amount of dlls that come with Kopernicus, you have to delete the Kopernicus folder from GameData before installing. Do  not overwrite the folder. CKAN users probably have to uninstall and reinstall Kopernicus.

CKAN removes the old module before installing the new one, so that shouldn't be necessary. If anyone spots old DLLs hanging around after upgrade, please submit an issue to CKAN.

Share this post


Link to post
Share on other sites

Wow, that was quick, thank you.

By breaking plugins you mean they will need to be recompiled against new version or code changes are necessary?

Share this post


Link to post
Share on other sites
34 minutes ago, Joker58th said:

Thank you Thomas!  FYI, I just did a clean install test and am getting the following...

I'm using Kopernicus 1.7.1-2.

  Reveal hidden contents

oq0MeoG.png

  Reveal hidden contents

DpmqNPn.png

Log file and Kopernicus folder and MM cache:

https://1drv.ms/u/s!AnEzp53YKl60ibExtCsI4xHxQive4Q?e=YEcroA

And there we have 1.7.1-3. I really hope that everything works now. :/

Share this post


Link to post
Share on other sites
4 minutes ago, Thomas P. said:

And there we have 1.7.1-3. I really hope that everything works now. :/

Yep!  That fixed it!  Thanks so much Thomas!

Share this post


Link to post
Share on other sites
25 minutes ago, Joker58th said:

Ok, I found another issue.  A deploy-able solar panel deploys when I select it and before placing on the rocket along with contant NRE's.  Github issue created.  Thanks Thomas!

https://github.com/Kopernicus/Kopernicus/issues/362

 

 

And there we have 1.7.1-4, lol.

Does making so many releases give me extra points on the "Kopernicus is not working on new KSP version, please update yesterday" scale?

Share this post


Link to post
Share on other sites

I'm chuckling too Thomas, bless you!  Looks good now!  Thanks again!

Share this post


Link to post
Share on other sites
7 minutes ago, Thomas P. said:

And there we have 1.7.1-4, lol.

Does making so many releases give me extra points on the "Kopernicus is not working on new KSP version, please update yesterday" scale?

"You cannot add more reactions today"

Looks like you're creating quite the backlog in terms of releases per month :D

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.